Download it now!
Bug 130760 - Impress crashes on broken hyperlink click
Summary: Impress crashes on broken hyperlink click
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: All All
: high major
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:7.0.0 target:6.4.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Hyperlink
  Show dependency treegraph
 
Reported: 2020-02-18 19:01 UTC by Otar Magaldadze
Modified: 2020-02-26 08:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (12.86 KB, application/vnd.oasis.opendocument.presentation)
2020-02-18 20:17 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Otar Magaldadze 2020-02-18 19:01:31 UTC
Description:
Reproducible on ArchLinux official repo version.

Steps to Reproduce:
1. Open fresh new impress document
2. Insert a new slide so that there are 2 slides
3. On a second slide insert a text hyperlink that points to slide 1 (jumps to slide 1 when clicked)
4. Swap slides
5. Click on the hyperlink (in edit mode, not in a presentation mode) with Ctrl+Mouse click.

Actual Results:
Crashes with message: XSystemShellExecute.execute URIS_ONLY with non-absolute URI reference #Slide 0

Expected Results:
Not to crash


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Version: 6.4.0.3
Build ID: 6.4.0-2
CPU threads: 4; OS: Linux 5.5; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-02-18 20:17:17 UTC
Created attachment 157988 [details]
sample file

How to reproduce it:
1. Open attached document
2. Go to slide 2 and double click on the textbox with the link
3. Ctrl + Click on the link

-> Error
Comment 2 Xisco Faulí 2020-02-18 20:22:27 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=91b431f88e7abaa3a088b8caf1bdd7e5fe0bf120

author	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2019-08-19 15:31:14 +0200
committer	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2019-08-19 21:12:17 +0200
commit	91b431f88e7abaa3a088b8caf1bdd7e5fe0bf120 (patch)
tree	985f167782201e5ecdbc0b3ba2aa26fbb072638f
parent	471b185b8b1ce3982271bbb77261fbb5e6860d17 (diff)
tdf#121039 Open URL also when in edit mode

Bisected with: bibisect-linux64-6.4

Adding Cc: to Samuel Mehrbrodt

Before this commit, nothing happened when the hyperlink was clicked
Comment 3 Julien Nabet 2020-02-18 21:30:17 UTC
On pc Debian x86-64 with master sources updated today, I don't reproduce this.
When I ctrl-click it goes to slide 1.
Comment 4 Commit Notification 2020-02-24 11:06:34 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5e8b6d3b721ba8730bc7a5b335418340e3f89c3e

tdf#130760 Fix crash when clicking link to other slide

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-02-25 08:41:47 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: e6b9bc3f2ecf0fb7fde5b02f9d750ccbe022f4c1
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Samuel, thanks for fixing this issue!
Comment 6 Commit Notification 2020-02-25 08:42:30 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/7db2d68ec0add7bbdc9067f2818274a569ab86fb

tdf#130760 Fix crash when clicking link to other slide

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.